Bug 209822 - sealert tracebacks when run
sealert tracebacks when run
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: setroubleshoot (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: John Dennis
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-10-06 16:58 EDT by Bill Nottingham
Modified: 2014-03-16 23:03 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-03 12:38:28 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bill Nottingham 2006-10-06 16:58:20 EDT
$ sealert

GTK Accessibility Module initialized
WARNING:root:Could not open log file - using stderr
Introspect error: Message did not receive a reply (timeout by message bus)
Bonobo accessibility support initialized

(setroubleshoot претраживач:3937): libglade-CRITICAL **:
glade_xml_build_interface: assertion `wid != NULL' failed
Traceback (most recent call last):
  File "/usr/bin/sealert", line 438, in ?
    start_service()
  File "/usr/bin/sealert", line 376, in start_service
    app.main()    
  File "/usr/bin/sealert", line 350, in main
    self.browser = BrowserApplet()
  File "/usr/lib/python2.4/site-packages/setroubleshoot/browser.py", line 79, in
__init__
    self.init_widgets()
  File "/usr/lib/python2.4/site-packages/setroubleshoot/browser.py", line 104,
in init_widgets
    self.window.connect_after("realize", self.on_realize)
AttributeError: 'NoneType' object has no attribute 'connect_after'

setroubleshoot-1.0-1
Comment 1 John Dennis 2006-10-17 16:24:06 EDT
I'm confused by a number of the errors in this report, most of which don't make
sense unless they could be explained by running sealert on a system which
otherwise was having lots of problems. Is this reproducible for you? I can't
reproduce it.
Comment 2 Bill Nottingham 2006-10-17 16:25:07 EDT
I'd have to reinstall. More in a few days.
Comment 3 John Dennis 2006-11-03 12:17:37 EST
are you still seeing this?
Comment 4 Bill Nottingham 2006-11-03 12:33:29 EST
No.

Note You need to log in before you can comment on or make changes to this bug.